name='pnpm'
version='9.0.4'
release='2'
desc='Fast, disk space efficient package manager'
homepage='https://pnpm.io'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=('pnpm')
conflicts=('pnpm' 'pnpm-git')

deps=('node-gyp')
build_deps=('git')

sources=("https://github.com/pnpm/pnpm/releases/download/v${version}/pnpm-linux-x64?~archive=false"
"git+https://github.com/pnpm/pnpm.git#tag=v${version}?~archive=false")
checksums=('SKIP'
'SKIP')

build() {
    cd ${srcdir}
    mkdir ./pnpm-linux
    mv ./pnpm-linux-x64 ./pnpm-linux/pnpm
    chmod +x ./pnpm-linux/pnpm
    export PATH=$PATH:${srcdir}/pnpm-linux/pnpm
    cd ${srcdir}/pnpm
    ${srcdir}/pnpm-linux/pnpm install --frozen-lockfile
    ${srcdir}/pnpm-linux/pnpm run compile
    export PATH=$(echo $PATH | sed -e 's;:\?/'${srcdir}/pnpm-linux/pnpm'::')
    }

package() {
    cd ${srcdir}
}
